Skip to main content
GET
/
qualification-records
[beta] Get a list of specified qualification records.
curl --request GET \
  --url https://api.samsara.com/qualification-records \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "createdAtTime": "2019-06-13T19:08:25Z",
      "createdBy": {
        "id": "938172",
        "type": "driver"
      },
      "fields": [
        {
          "id": "9814a1fa-f0c6-408b-bf85-51dc3bc71ac7",
          "type": "text",
          "checkBoxesValue": {
            "value": [
              "Option A",
              "Option B"
            ],
            "valueIds": [
              "0cbbddb3-2541-4889-b4eb-92171cbfc142",
              "d33198cb-369f-4278-8120-d92d3ebf74bf"
            ]
          },
          "dateTimeValue": {
            "type": "datetime",
            "value": "2024-08-08T18:53:23Z",
            "dateValue": "2024-08-08"
          },
          "label": "License Number",
          "mediaList": [
            {
              "id": "9814a1fa-f0c6-408b-bf85-51dc3bc71ac7",
              "processingStatus": "processing",
              "url": "https://samsara-forms-submission-media-uploads.s3.us-west-2.amazonaws.com/123456",
              "urlExpiresAt": "2019-06-13T19:08:25Z"
            }
          ],
          "multipleChoiceValue": {
            "value": "Yes",
            "valueId": "94096370-7228-4d83-ae5d-b20f3e45c0fc"
          },
          "numberValue": {
            "value": 123.456
          },
          "signatureValue": {
            "media": {
              "id": "9814a1fa-f0c6-408b-bf85-51dc3bc71ac7",
              "processingStatus": "processing",
              "url": "https://samsara-forms-submission-media-uploads.s3.us-west-2.amazonaws.com/123456",
              "urlExpiresAt": "2019-06-13T19:08:25Z"
            }
          },
          "tableValue": {
            "columns": [
              {
                "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
                "label": "Store Number",
                "type": "number"
              }
            ],
            "rows": [
              {
                "cells": [
                  {
                    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
                    "type": "number",
                    "checkBoxesValue": {
                      "value": [
                        "Option A",
                        "Option B"
                      ],
                      "valueIds": [
                        "0cbbddb3-2541-4889-b4eb-92171cbfc142",
                        "d33198cb-369f-4278-8120-d92d3ebf74bf"
                      ]
                    },
                    "dateTimeValue": {
                      "type": "datetime",
                      "value": "2024-08-08T18:53:23Z",
                      "dateValue": "2024-08-08"
                    },
                    "mediaValue": {
                      "mediaList": [
                        {
                          "id": "9814a1fa-f0c6-408b-bf85-51dc3bc71ac7",
                          "processingStatus": "processing",
                          "url": "https://samsara-forms-submission-media-uploads.s3.us-west-2.amazonaws.com/123456",
                          "urlExpiresAt": "2019-06-13T19:08:25Z"
                        }
                      ]
                    },
                    "multipleChoiceValue": {
                      "value": "Yes",
                      "valueId": "94096370-7228-4d83-ae5d-b20f3e45c0fc"
                    },
                    "numberValue": {
                      "value": 123.456
                    },
                    "personValue": {
                      "person": {
                        "entryType": "tracked",
                        "name": "Jake",
                        "polymorphicUserId": {
                          "id": "938172",
                          "type": "driver"
                        }
                      }
                    },
                    "signatureValue": {
                      "media": {
                        "id": "9814a1fa-f0c6-408b-bf85-51dc3bc71ac7",
                        "processingStatus": "processing",
                        "url": "https://samsara-forms-submission-media-uploads.s3.us-west-2.amazonaws.com/123456",
                        "urlExpiresAt": "2019-06-13T19:08:25Z"
                      }
                    },
                    "textValue": {
                      "value": "Exposed wires"
                    }
                  }
                ],
                "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
              }
            ]
          },
          "textValue": {
            "value": "Exposed wires"
          }
        }
      ],
      "id": "9814a1fa-f0c6-408b-bf85-51dc3bc71ac7",
      "issueDate": "2025-08-27T10:20:30Z",
      "owner": {
        "entityType": "worker",
        "id": "281474",
        "externalIds": {}
      },
      "qualificationType": {
        "id": "9814a1fa-f0c6-408b-bf85-51dc3bc71ac7",
        "name": "Driver License",
        "revisionId": "1214a1fa-f0c6-408b-bf85-51dc3bc71ac7"
      },
      "recordStatus": "active",
      "updatedAtTime": "2019-06-13T19:08:25Z",
      "updatedBy": {
        "id": "938172",
        "type": "driver"
      },
      "expirationDate": "2026-08-27T10:20:30Z",
      "externalIds": {}
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://samsara-showcase.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

ids
string[]
required

A comma-separated list containing up to 100 qualification record IDs to filter on. This can either be the Samsara-specified ID, or an external ID. External IDs are customer specified key-value pairs created in the POST or PATCH requests of this resource. To specify an external ID as part of a query parameter, use the following format: key:value.

includeExternalIds
boolean

If true, externalIds for qualification record and for the owner entity are returned.

Response

OK response.

data
object[]
required

List of qualification records.